Page MenuHomePhabricator

Regression: When searching all pages appear as watched
Closed, ResolvedPublic

Description

Steps to Reproduce

  1. Login
  2. Visit any page
  3. Search for "S"
  4. See search results

Expected Results

  • Only pages you have watched appear as watched

Actual Results

  • All pages appear as watched

Environments Observed

Testing Environment for QA

https://en.m.wikipedia.beta.wmflabs.org/wiki/Test_video_hovers#/search

Browser Version

OS Version

Device Model

Device Language

Event Timeline

Jdlrobson created this task.May 1 2018, 7:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2018, 7:54 PM
Jdlrobson raised the priority of this task from Normal to High.May 1 2018, 7:55 PM
Jdlrobson added a subscriber: ovasileva.

Caused by patch in current sprint so moving into sprint @ovasileva

Change 430122 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Revert "Hygiene: upgrade WatchstarGateway to formatversion v2"

https://gerrit.wikimedia.org/r/430122

Note: this is on the train, and will be lived on mediawiki.org later today and everywhere on Thursday. Is this an unbreak now or something we can live with?

Change 430131 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] Fix: boolean conversion of watch in WatchstarGateway

https://gerrit.wikimedia.org/r/430131

High is fine but let's fix this asap.

Change 430131 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix: boolean conversion of watch in WatchstarGateway

https://gerrit.wikimedia.org/r/430131

Change 430122 abandoned by Jdlrobson:
Revert "Hygiene: upgrade WatchstarGateway to formatversion v2"

Reason:
Fixed instead by https://gerrit.wikimedia.org/r/430131

https://gerrit.wikimedia.org/r/430122

Jdlrobson moved this task from To Do to Needs QA on the Readers-Web-Kanbanana-Board-Old board.

Skipping design review as a bug.
Anthony can you have a quick look at this on the beta cluster?
@ovasileva do we need to SWAT the fix as part of sign off or should we let this be broken for a week?

Skipping design review as a bug.
Anthony can you have a quick look at this on the beta cluster?
@ovasileva do we need to SWAT the fix as part of sign off or should we let this be broken for a week?

imo we should SWAT it.

Change 430403 had a related patch set uploaded (by Jdlrobson; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@wmf/1.32.0-wmf.2] Fix: boolean conversion of watch in WatchstarGateway

https://gerrit.wikimedia.org/r/430403

Change 430403 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.32.0-wmf.2] Fix: boolean conversion of watch in WatchstarGateway

https://gerrit.wikimedia.org/r/430403

Mentioned in SAL (#wikimedia-operations) [2018-05-02T17:31:55Z] <catrope@tin> Synchronized php-1.32.0-wmf.2/extensions/MobileFrontend/: T193564 (duration: 01m 20s)

Jdlrobson reassigned this task from ABorbaWMF to ovasileva.May 2 2018, 6:15 PM
Jdlrobson added a subscriber: ABorbaWMF.

This has now been SWATed. Ready for sign off.

Whoops. @ABorbaWMF could you confirm what I'm seeing that this is fixed on mediawiki.org ? When searching do you see articles that are watched/unwatched and are you able to toggle their state?

Looks good to me on mediawiki



ovasileva closed this task as Resolved.May 3 2018, 10:01 AM

looks good.

Vvjjkkii renamed this task from Regression: When searching all pages appear as watched to judaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ovasileva as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from judaaaaaaa to Regression: When searching all pages appear as watched.Jul 2 2018, 1:55 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot reassigned this task from CommunityTechBot to ovasileva.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot added a subscriber: CommunityTechBot.